package ch.epfl.ppo.transformers;

import ch.epfl.ppo.ColorRGB;
import ch.epfl.ppo.ImageRGB;

public final class ShrinkVerticallyByTwoTransformer implements ImageRGB {
    private final ImageRGB image;

    public ShrinkVerticallyByTwoTransformer(ImageRGB image) {
        this.image = image;
    }

    @Override
    public ColorRGB valueAt(double x, double y) {
        return image.valueAt(x, y * 2.0);
    }
}
