package ch.epfl.ppo.generators;

import ch.epfl.ppo.ColorRGB;
import ch.epfl.ppo.ImageRGB;

public final class RedWhiteUnitCircleGenerator implements ImageRGB {
    @Override
    public ColorRGB valueAt(double x, double y) {
        double r = Math.sqrt(x * x + y * y);
        return r <= 1.0 ? ColorRGB.RED : ColorRGB.WHITE;
    }
}
